Bug 148537 - Adding support for a custom input view controller for WKWebView
Summary: Adding support for a custom input view controller for WKWebView
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-27 14:01 PDT by Andrew Gold
Modified: 2017-04-24 19:09 PDT (History)
3 users (show)

See Also:


Attachments
Patch (5.62 KB, patch)
2015-08-27 14:05 PDT, Andrew Gold
no flags Details | Formatted Diff | Diff
Patch (5.86 KB, patch)
2015-08-27 14:25 PDT, Andrew Gold
beidson: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Gold 2015-08-27 14:01:26 PDT
Adding support for a custom input view controller for WKWebView
Comment 1 Andrew Gold 2015-08-27 14:05:14 PDT
Created attachment 260086 [details]
Patch
Comment 2 Anders Carlsson 2015-08-27 14:07:11 PDT
Comment on attachment 260086 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=260086&action=review

> Source/WebKit2/UIProcess/API/Cocoa/WKWebViewPrivate.h:134
> +@property (nonatomic, retain) UIInputViewController *customInputViewController;

This needs to follow the SPI guidelines.
Comment 3 Andrew Gold 2015-08-27 14:25:24 PDT
Created attachment 260089 [details]
Patch
Comment 4 mitz 2015-12-18 08:13:18 PST
We ended up doing something a little more refined in bug 150395.
Comment 5 Brady Eidson 2017-04-24 19:09:42 PDT
Comment on attachment 260089 [details]
Patch

This patch has been pending review since 2015 with no recent activity.
It seems unlikely that it would even still apply to trunk in its current form.

Clearing from the review queue.

Feel free to update and resubmit if the patch is still relevant.